Skip to main content
PATCH
/
api
/
v0
/
companies
/
{company_id}
Update company information.
curl --request PATCH \
  --url https://api.example.com/api/v0/companies/{company_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "handle": "<string>",
  "about": "<string>",
  "legalName": "<string>",
  "legalAddress": "<string>",
  "legalCountry": "<string>",
  "logo": "<string>",
  "website": "<string>",
  "github": "<string>",
  "twitter": "<string>",
  "domain": "<string>",
  "autoJoinAllowed": true,
  "showAuditLog": true,
  "adminData": "<unknown>",
  "mergeWith": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "sessionSettings": {
    "maxTime": 123,
    "refreshTime": 123
  }
}
'
{
  "msg": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Body

application/json
name
string | null
handle
string | null

Admin only.

about
string | null
logo
string | null
website
string | null
github
string | null
twitter
string | null
domain
string | null
autoJoinAllowed
boolean | null

Setting this value when domain is not set has no effect.

showAuditLog
boolean | null

Can only be set by admins.

adminData
any

Can only be set by admins.

mergeWith
string<uuid>[] | null

The list of company ids to merge into the target company.

sessionSettings
object

Session expiration settings

They are expressed in i64 seconds to be database-friendly.

Response

Company details successfully updated